import { GenericCrudService } from '../../utils/generic-crud.service';
import { DataSource } from 'typeorm';
import { Agent } from './agent.entity';

export class AgentService extends GenericCrudService<Agent> {
  constructor(dataSource: DataSource) {
    super(dataSource, Agent);
  }
}